org.apache.maven.scm.provider.git

## Class GitCommandUtils

- java.lang.Object
- - org.apache.maven.scm.provider.git.GitCommandUtils

-     public class GitCommandUtils
      extends Object

  Command utilities for git commands.
  Version:
    $Id: GitCommandUtils.java 690997 2008-09-01 15:29:28Z vsiveton $
  Author:
    Jerome Lacoste

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static org.codehaus.plexus.util.cli.Commandline` | `getBaseCommand(String commandName, GitScmProviderRepository repo, ScmFileSet fileSet)`
    `static org.codehaus.plexus.util.cli.Commandline` | `getBaseCommand(String commandName, GitScmProviderRepository repo, ScmFileSet fileSet, String options)`
    `static String` | `getRevParseDateFormat()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getBaseCommand

          public static org.codehaus.plexus.util.cli.Commandline getBaseCommand(String commandName,
                                                                GitScmProviderRepository repo,
                                                                ScmFileSet fileSet)

    - #### getBaseCommand

          public static org.codehaus.plexus.util.cli.Commandline getBaseCommand(String commandName,
                                                                GitScmProviderRepository repo,
                                                                ScmFileSet fileSet,
                                                                String options)

    - #### getRevParseDateFormat

          public static String getRevParseDateFormat()

Copyright © 2003–2015. All rights reserved.